package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cus;
import com.brilliance.isc.bo.Fsa;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface CusMapper {

    int insert(Cus record);

    int insertSelective(Cus record);

    int updateByPrimaryKeySelective(Cus record);

    int updateByPrimaryKey(Cus record);

    int deleteByPrimaryKey(Cus record);

    int deleteByIds(Collection<Object> collection);

    Cus selectByPrimaryKey(Cus record);

    List<Cus> selectListByFininr(@Param("fininr") String fininr);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cus> dyncRead(Map<String,Object> dyncMap);

}